package com.bernard.greposimu.source;

public class SourcedTrades {
	
	long start;
	long arrival;
	String dest;
	String destType;
	String orig;
	String origType;

	int gold,stone,wood,iron;
	
	boolean exchange;

	public long getStart() {
		return start;
	}

	public long getArrival() {
		return arrival;
	}

	public String getDest() {
		return dest;
	}

	public String getDestType() {
		return destType;
	}

	public String getOrig() {
		return orig;
	}

	public String getOrigType() {
		return origType;
	}

	public int getGold() {
		return gold;
	}

	public int getStone() {
		return stone;
	}

	public int getWood() {
		return wood;
	}

	public int getIron() {
		return iron;
	}

	public boolean isExchange() {
		return exchange;
	}

	@Override
	public String toString() {
		return "SourcedTrades [start=" + start + ", arrival=" + arrival + ", dest=" + dest + ", destType=" + destType
				+ ", orig=" + orig + ", origType=" + origType + ", gold=" + gold + ", stone=" + stone + ", wood=" + wood
				+ ", iron=" + iron + ", exchange=" + exchange + "]";
	}
}
